提供给mysql_options()的不支持的选项

我已经在我的本地机器上安装了mysql-server和mysql-workbench,而Ubuntu 16.04作为操作系统。 我可以通过CLI连接到mysql-server,但不能通过mysql-workbench。

mysql --version mysql Ver 14.14 Distrib 5.7.12, for Linux (x86_64) using EditLine wrapper mysql-workbench --version MySQL Workbench CE (GPL) 6.3.6 CE build 511 

当我尝试连接到mysql-server时,我始终从mysql-workbench中获取此错误。

 Unsupported option provided to mysql_options() 

请帮我理解我在做什么错误来解决这个问题,即通过mysql-workbench连接到mysql-server。

Solutions Collecting From Web of "提供给mysql_options()的不支持的选项"

Workbench不再支持服务器变量mysql_old_password协议,因为在MySQL server 5.7中删除了它的支持。 这会影响MySQL Workbench中以前的“ 使用旧认证协议 ”SSH连接选项,从而导致错误

提供给mysql_options()的不支持的选项

而您尝试通过工作台建立连接。 所以将MySQL-Workbench升级到任何更新的版本以避免这个错误。

请检查此URL以供参考: http : //bugs.mysql.com/bug.php?id=78947

解决这个问题。 你可以做的是将MySQL Workbench CE(GPL)6.3.6降级到版本6.3.4